# OCI-Lob::export

(PHP 5, PHP 7, PECL OCI8 >= 1.1.0)

OCI-Lob::export — Exports LOB's contents to a file

### Description

OCI-Lob::export ( string `$filename` [, int `$start` [, int `$length` ]] ) : bool

Exports LOB contents to a file.

### Parameters

`filename`

  Path to the file.

`start`

  Indicates from where to start exporting.

`length`

  Indicates the length of data to be exported.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- OCI-Lob::import